%define name 	gtk-murrine-engine
%define oname   murrine
%define version 0.98.2
%define themesdir %{_datadir}/themes
Summary:  Murrine GTK2 engine
Name: 	  %{name}
Version:  %{version}
Release:  %mkrel 2
License:  GPL
Group: 	  Graphical desktop/GNOME
URL: 	  http://cimi.netsons.org/pages/murrine.php
Source0:  http://murrine.netsons.org/files/%{oname}-%{version}.tar.xz
Source1:  MurrinaBlue-gtkrc.patch.tar.bz2
Source2:  MurrinaElement-gtkrc.patch.tar.bz2
Source10: http://murrine.netsons.org/files/MurrinaFancyCandy.tar.bz2
Source11: http://murrine.netsons.org/files/MurrinaVerdeOlivo.tar.bz2
Source12: http://murrine.netsons.org/files/MurrinaAquaIsh.tar.bz2
Source13: http://murrine.netsons.org/files/MurrinaGilouche.tar.bz2
Source14: http://murrine.netsons.org/files/MurrinaLoveGray.tar.bz2
Source15: http://murrine.netsons.org/files/MurrineThemePack.tar.bz2
Source16: http://murrine.netsons.org/files/GTK2-Milk-2.0.tar.bz2
Source17: http://murrine.netsons.org/files/MurrinaBlue.tar.bz2
Source18: http://murrine.netsons.org/files/MurrinaElement.tar.bz2
Source19: http://murrine.netsons.org/files/MurrinaOransun.tar.bz2
Source20: http://murrine.netsons.org/files/MurrinaTango.tar.bz2
Source21: http://murrine.netsons.org/files/MurrineRounded.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: gtk2-devel
Obsoletes: murrine < %{version}-%{release}
Provides: murrine = %{version}-%{release}

%description
Murrine is a cairo-based fast gtk2 theme engine.

%package -n gtk-theme-murrine
Summary: GTK themes for Murrine
Group: Graphical desktop/GNOME
Requires: %{name}
Obsoletes: gtk-theme-Murrine

%description -n gtk-theme-murrine
GTK themes for the Murrine gtk engine


%prep
%setup -n %{oname}-%{version}

%build

%configure2_5x \
    --enable-animation \
    --enable-macmenu
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR="%{buildroot}"
#find_lang %{real_name}
%{__install} -d -m0755 %{buildroot}%{_datadir}/themes/
tar -xvj -C %{buildroot}%{_datadir}/themes/ -f %{SOURCE10};
tar -xvj -C %{buildroot}%{_datadir}/themes/ -f %{SOURCE11};
tar -xvj -C %{buildroot}%{_datadir}/themes/ -f %{SOURCE12};
tar -xvj -C %{buildroot}%{_datadir}/themes/ -f %{SOURCE13};
tar -xvj -C %{buildroot}%{_datadir}/themes/ -f %{SOURCE14};
tar -xvj -C %{buildroot}%{_datadir}/themes/ -f %{SOURCE15};
tar -xvj -C %{buildroot}%{_datadir}/themes/ -f %{SOURCE16};
tar -xvj -C %{buildroot}%{_datadir}/themes/ -f %{SOURCE17};
tar -xvj -C %{buildroot}%{_datadir}/themes/ -f %{SOURCE18};
tar -xvj -C %{buildroot}%{_datadir}/themes/ -f %{SOURCE19};
tar -xvj -C %{buildroot}%{_datadir}/themes/ -f %{SOURCE20};
tar -xvj -C %{buildroot}%{_datadir}/themes/ -f %{SOURCE21};

# MurrinaBlue,MurrinaElement gtkrc fix
tar -xvj -C %{buildroot}%{_datadir}/themes/MurrinaBlue/gtk-2.0 -f %{SOURCE1};
tar -xvj -C %{buildroot}%{_datadir}/themes/MurrinaElement/gtk-2.0 -f %{SOURCE2};

# don't ship .la
find %{buildroot} -name '*.la' -exec rm -f {} \;

%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING NEWS
%{_datadir}/gtk-engines/murrine.xml
%{_libdir}/gtk-2.0/*/engines/libmurrine.so


%files -n gtk-theme-murrine
%defattr(-, root, root, 0755)
%{themesdir}


%changelog
* Thu Feb 28 2019 tex - 0.98.2-2pclos2019
- rebuild against updates

* Sun Aug 24 2014 bb <bb> 0.98.2-1pclos2014
- update

